Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 820581 - Sysprep disk remains on file system after VM is stopped
Summary: Sysprep disk remains on file system after VM is stopped
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan Kenigsberg
QA Contact:
URL:
Whiteboard: infra virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-10 12:20 UTC by Moti Asayag
Modified: 2013-01-30 22:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 22:51:06 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Moti Asayag 2012-05-10 12:20:42 UTC
Description of problem:
* The problem occurs only for running VM with Sysprep for cluster 3.0 and below. Running VM with Sysprep provided as a VM Payload works fine.

The file created by VDSM for sysprep is located under 
/var/run/vdsm/VM_GUID.vfd

It serves any running of that VM with sysprep. 

When the VM is brought down - the file is deleted.

However, if the VDSM is restarted, when the VM is running, the file will remain on the system after the VM is stopped. This will cause the next run with sysprep file to fail with the following messages from log:

Thread-509::DEBUG::2012-05-09 16:30:34,167::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /usr/share/vdsm/mk_sysprep_floppy /var/run/vdsm/0fde3df3-fe4f-4212-b3a1-d1485383594
8.vfd' (cwd None)
Thread-509::DEBUG::2012-05-09 16:30:34,185::__init__::1164::Storage.Misc.excCmd::(_log) FAILED: <err> = 'mkfs.msdos: unable to create /var/run/vdsm/0fde3df3-fe4f-4212-b3a1-d14853835948.vfd\
n'; <rc> = 1
Thread-509::DEBUG::2012-05-09 16:30:34,186::BindingXMLRPC::870::vds::(wrapper) return vmCreate with {'status': {'message': 'Failed to create sysprep floppy image. No space on /tmp?', 'code': 9}}

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Moti Asayag 2012-05-10 12:32:02 UTC
VDSM Version: vdsm-4.9.6-0.173.gitea68143.el6.x86_64

Comment 2 Itamar Heim 2013-01-30 22:51:06 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.